## Apache Zeta Components Manual :: Docs For Class ezcBasePersistable

### Base::ezcBasePersistable

### Interface ezcBasePersistable

This class provides the interface that classes need to implement to be able to be used by the PersistentObject and Search components.

Source for this file: /Base/src/interfaces/persistable.php

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcCacheStackMetaData | Interface for stack meta data.

### Method Summary

public ezcBasePersistable | `__construct( )` The constructor for the object needs to be able to accept no arguments.
public array(string=>mixed) | `getState( )` Returns all the object's properties so that they can be stored or indexed.
public void | `setState( $properties )` Accepts an array containing data for one or more of the class' properties.

### Methods

#### __construct

ezcBasePersistable __construct( )

The constructor for the object needs to be able to accept no arguments.

The data is later set through the setState() method.

#### getState

array(string=>mixed) getState( )

Returns all the object's properties so that they can be stored or indexed.

#### setState

void setState( $properties )

Accepts an array containing data for one or more of the class' properties.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$properties` | array |

Documentation generated by phpDocumentor 1.4.3